# Editor Class Reference

`#include <editor.h>`

List of all members.

## Signals
void | contentModified (bool modified)
| signal status of editor content modification
void | compareWith ()
| signal file comparision with
void | compareWithNext ()
| signal file comparision with next
void | compareWithPrev ()
| signal file comparision with previous
## Public Member Functions
| Editor (QWidget *parent=0)
| ~Editor ()
bool | contentIsModified ()
void | retranslateUi ()
void | setContentModified (bool modified)
## Public Attributes
bool | enableHighlightLines
| enable highlighting current line
QColor | hiLineColor
| highlighting color for current line
int | printArea
| print area indicator postion for declarations and instructions
## Protected Member Functions
bool | event (QEvent *event)
## Private Slots
void | cursorPositionChangedOperations ()
## Private Member Functions
void | paintEvent (QPaintEvent *event)
## Private Attributes
int | prefWidth
| preferred width of line numbers column
QString | str_contextmenu_comparewith
| string context menu item compare with
QString | str_contextmenu_comparewithnext
| string context menu item compare with next
QString | str_contextmenu_comparewithprev
| string context menu item compare with previous

## Constructor & Destructor Documentation

Editor::Editor | ( | QWidget * | parent = `0` | ) |

creating function

Editor::~Editor | ( |  | ) |

destructor

## Member Function Documentation

void Editor::compareWith | ( |  | ) | `[signal]`

signal file comparision with

void Editor::compareWithNext | ( |  | ) | `[signal]`

signal file comparision with next

void Editor::compareWithPrev | ( |  | ) | `[signal]`

signal file comparision with previous

bool Editor::contentIsModified | ( |  | ) |

get modified status of document

void Editor::contentModified | ( | bool | modified | ) | `[signal]`

signal status of editor content modification

void Editor::cursorPositionChangedOperations | ( |  | ) | `[private, slot]`

cursor position changed handling to update the viewport and line numbers column

bool Editor::event | ( | QEvent * | event | ) | `[protected]`

line numbers block paint event

void Editor::paintEvent | ( | QPaintEvent * | event | ) | `[private]`

painter event

void Editor::retranslateUi | ( |  | ) |

retranslate Ui

void Editor::setContentModified | ( | bool | modified | ) |

set modification satus of document

## Member Data Documentation

bool Editor::enableHighlightLines

enable highlighting current line

QColor Editor::hiLineColor

highlighting color for current line

int Editor::prefWidth`[private]`

preferred width of line numbers column

int Editor::printArea

print area indicator postion for declarations and instructions

QString Editor::str_contextmenu_comparewith`[private]`

string context menu item compare with

QString Editor::str_contextmenu_comparewithnext`[private]`

string context menu item compare with next

QString Editor::str_contextmenu_comparewithprev`[private]`

string context menu item compare with previous

The documentation for this class was generated from the following files:

- editor.h
- editor.cpp